Skip to navigation

List Order Images

Retrieves product image URLs based on the orderIds[] value in the parameters. You can return images for multiple orders by adding a separate orderIds[] parameter for each order.

Equivalent Storefront GraphQL API Query: orderImages. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

orderIds[]stringRequired

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

This parameter is not an array, but you can filter for multiple order statuses by including additional orderIds[] parameters in the query. For example, ?orderIds[]=123&orderIds[]=124.

Response

OK
codeinteger
HTTP Response Code
messagestringDefaults to SUCCESS
Response message
datalist of objects